﻿using Syncfusion.XForms.ComboBox;
using System;
using System.Collections.Generic;
using System.Text;
using Xamarin.Forms;

namespace ComboBox
{
    public class CustomComboBox : View
    {
        public static readonly BindableProperty DataSourceProperty = BindableProperty.Create(nameof(DataSource), typeof(IEnumerable<object>), typeof(CustomComboBox), null, BindingMode.Default, null, OnDataSourcePropertyChanged);

        public IEnumerable<object> DataSource
        {
            get { return (IEnumerable<object>)this.GetValue(DataSourceProperty); }
            set { this.SetValue(DataSourceProperty, value); }
        }

        private static void OnDataSourcePropertyChanged(BindableObject bindable, object oldValue, object newValue)
        {
            if (bindable is CustomComboBox)
            {
                (bindable as CustomComboBox).OnPropertyChanged(DataSourceProperty.PropertyName);
            }
        }

        internal void OnPropertyChanged(string propertyName)
        {

        }
    }
}
