﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Text;
using System.Windows.Input;
using Xamarin.Forms;

namespace ComboBox
{
    public class Employee
    {
        private int id;
        public int ID
        {
            get { return id; }
            set { id = value; }
        }
        private string name;
        public string Name
        {
            get { return name; }
            set { name = value; }
        }
    }

    public class MainPageViewModel : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        public virtual void OnPropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if (propertyChanged != null)
            {
                propertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    
        private ObservableCollection<Employee> employeeCollection;
        public ObservableCollection<Employee> EmployeeCollection
        {
            get { return employeeCollection; }
            set 
            {
                employeeCollection = value;
                OnPropertyChanged("EmployeeCollection");
            }
        }

        private ObservableCollection<int> selectedIndices;

        public ObservableCollection<int> SelectedIndices
        {
            get { return selectedIndices; }
            set 
            {
                selectedIndices = value; 
                OnPropertyChanged("SelectedIndices");
            }
        }

        private List<int> selectedIndices1;

        public List<int> SelectedIndices1
        {
            get { return selectedIndices1; }
            set
            {
                selectedIndices1 = value;
                OnPropertyChanged("SelectedIndices1");
            }
        }
        public MainPageViewModel()
        {
            EmployeeCollection = new ObservableCollection<Employee>();
            EmployeeCollection.Add(new Employee() { ID = 1, Name = "Frank" });
            EmployeeCollection.Add(new Employee() { ID = 2, Name = "James" });
            EmployeeCollection.Add(new Employee() { ID = 3, Name = "Steve" });
            EmployeeCollection.Add(new Employee() { ID = 4, Name = "Lucas" });
            EmployeeCollection.Add(new Employee() { ID = 5, Name = "Mark" });
            EmployeeCollection.Add(new Employee() { ID = 6, Name = "Michael" });
            EmployeeCollection.Add(new Employee() { ID = 7, Name = "Aldrin" });
            EmployeeCollection.Add(new Employee() { ID = 8, Name = "Jack" });
            EmployeeCollection.Add(new Employee() { ID = 9, Name = "Howard" });

            SelectedIndices = new ObservableCollection<int>();
            SelectedIndices.Add(1);
            SelectedIndices.Add(3);

            SelectedIndices1 = new List<int>();
            SelectedIndices1.Add(6);
            SelectedIndices1.Add(7);
        }
    }
}
